Subject: bug#2470: 23.0.90; auto-fill-mode, :minor-mode-function

From: "Drew Adams" <[email-masked]>
Date: Sun, 10 Jul 2011 02:54:55 -0700

> > That's really the question, I think.  Are things 
> > sufficiently clear (e.g. from
> > the doc) that a user would now know how to tell this?
> 
> Likely not, though strictly speaking, a user that needs to know the
> variable name will usually be able to take a look at minor-mode-alist
> and deduce it by himself.
> 
> In any case, could you please suggest a suitable change for the
> docstring of auto-fill-mode?

I don't see a problem with that doc string in particular.
What did you have in mind?

This part is a little unclear:

"The value of `normal-auto-fill-function' specifies the function to use
for `auto-fill-function' when turning Auto Fill mode on."

One wonders why it speaks of `auto-fill-function', as if it is something
understood  (begs the question of its relation to `auto-fill-mode').

If you then click the `auto-fill-function' link you get doc on that function,
but it's not clear at all what it has to do with `auto-fill-mode'.

It does say also this: "auto-fill-function is also a variable."  But the name is
neither quoted (`...') nor a link to help on that var.  And there is nothing
saying  anything about what you said: that the variable tells you whether
`auto-fill-mode' is on (which was the OP question).

Perhaps we should at least add something like this to the `auto-fill-mode' doc:

"When `auto-fill-mode' is on, variable `auto-fill-function' is non-`nil'."